Bug 1290176 - [abrt] vim-enhanced: _PyString_Eq(): vim killed by SIGSEGV [NEEDINFO]
[abrt] vim-enhanced: _PyString_Eq(): vim killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:227c139bd34bcbc164d6339eac1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 14:55 EST by Fabio Santana
Modified: 2016-10-05 07:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-05 07:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karsten: needinfo? (fabio.scienvitarso)


Attachments (Terms of Use)
File: backtrace (1.01 MB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: core_backtrace (236.74 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: dso_list (5.94 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: environ (3.54 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: maps (35.99 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: mountinfo (3.06 KB, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: open_fds (421 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-12-09 14:55 EST, Fabio Santana
no flags Details

  None (edit)
Description Fabio Santana 2015-12-09 14:55:02 EST
Description of problem:
I have 2 buffers open one to snippet file and another to test file
The windows freeze while I was edited test file.

Version-Release number of selected component:
vim-enhanced-7.4.827-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        vim test.js
crash_function: _PyString_Eq
executable:     /usr/bin/vim
global_pid:     13762
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _PyString_Eq at /usr/src/debug/Python-2.7.10/Objects/stringobject.c:1259
 #1 lookdict_string at /usr/src/debug/Python-2.7.10/Objects/dictobject.c:444
 #2 PyDict_GetItem at /usr/src/debug/Python-2.7.10/Objects/dictobject.c:752
 #3 PyDict_GetItemString at /usr/src/debug/Python-2.7.10/Objects/dictobject.c:2434
 #4 vgetargskeywords at /usr/src/debug/Python-2.7.10/Python/getargs.c:1599
 #5 PyArg_ParseTupleAndKeywords at /usr/src/debug/Python-2.7.10/Python/getargs.c:1440
 #6 listsort at /usr/src/debug/Python-2.7.10/Objects/listobject.c:2073
 #7 do_call at /usr/src/debug/Python-2.7.10/Python/ceval.c:4327
 #8 call_function at /usr/src/debug/Python-2.7.10/Python/ceval.c:4135
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.10/Python/ceval.c:2755
Comment 1 Fabio Santana 2015-12-09 14:55:13 EST
Created attachment 1104093 [details]
File: backtrace
Comment 2 Fabio Santana 2015-12-09 14:55:15 EST
Created attachment 1104094 [details]
File: cgroup
Comment 3 Fabio Santana 2015-12-09 14:55:18 EST
Created attachment 1104095 [details]
File: core_backtrace
Comment 4 Fabio Santana 2015-12-09 14:55:19 EST
Created attachment 1104096 [details]
File: dso_list
Comment 5 Fabio Santana 2015-12-09 14:55:21 EST
Created attachment 1104097 [details]
File: environ
Comment 6 Fabio Santana 2015-12-09 14:55:22 EST
Created attachment 1104098 [details]
File: exploitable
Comment 7 Fabio Santana 2015-12-09 14:55:23 EST
Created attachment 1104099 [details]
File: limits
Comment 8 Fabio Santana 2015-12-09 14:55:25 EST
Created attachment 1104100 [details]
File: maps
Comment 9 Fabio Santana 2015-12-09 14:55:27 EST
Created attachment 1104101 [details]
File: mountinfo
Comment 10 Fabio Santana 2015-12-09 14:55:28 EST
Created attachment 1104102 [details]
File: namespaces
Comment 11 Fabio Santana 2015-12-09 14:55:30 EST
Created attachment 1104103 [details]
File: open_fds
Comment 12 Fabio Santana 2015-12-09 14:55:31 EST
Created attachment 1104104 [details]
File: proc_pid_status
Comment 13 Fabio Santana 2015-12-09 14:55:32 EST
Created attachment 1104105 [details]
File: var_log_messages
Comment 14 Karsten Hopp 2016-04-28 10:21:00 EDT
is this reproducable with the latest vim (vim-7.4.1718-1.fc23) ?  There have been many bugfixes that address issues like this one.

If you can't reproduce it anymore, can this report be closed ?
Comment 15 Karsten Hopp 2016-10-05 07:09:29 EDT
Closing as there wasn't response to the test request for 5 months

Note You need to log in before you can comment on or make changes to this bug.